module Types.ConnectionState
  ( Client (..),
    ConnectedClients,
  )
where

import ClassyPrelude
import Data.UUID (UUID)
import Network.WebSockets qualified as WS

data Client = Client
  { uuid :: UUID,
    name :: Text,
    conn :: WS.Connection,
    joinedRoom :: Bool
  }

type ConnectedClients = [Client]
