{-# LANGUAGE DeriveGeneric #-}

module Types.Participant (Participant) where

import ClassyPrelude
import Data.Aeson (FromJSON, ToJSON)

data Participant = Participant
  { jid :: Text,
    email :: Text,
    displayName :: Text,
    avatarURL :: Text
  }
  deriving (Generic, Show, Eq)

instance ToJSON Participant

instance FromJSON Participant
