# Jitsi Rooms

Provides a small wrapper UI around Jitsi Meet with discord like rooms functionality.

## Architecture

The application consists of:

- a plugin for the Jitsi Meet component prosody that pushes event data to a rest endpoint
  - written in Lua
  - location: ./prosody
  - also provides a Jitsi Meet setup with docker
- a backend that accepts the events with an rest endpoint and distributes it to the clients via websockets
  - written in Haskell
  - location: ./backend
- a frontend that uses the Jitsi Meet iFrame Api and connects to the backend via websockets
  - written in Typescript with react and vite
  - location: ./frontend

## Development

Each subfolder contains a Readme with instructions
